Open SCAP Library

Macros | Functions
oscap_text.h File Reference

Multilingual text processing interface. More...

`#include <stdbool.h>`

Go to the source code of this file.

## Functions
char * | oscap_textlist_get_preferred_plaintext (struct oscap_text_iterator *texts, const char *preferred_lang)
| gets a plaintext string representing given textlist More...
struct oscap_text * | oscap_textlist_get_preferred_text (struct oscap_text_iterator *texts, const char *preferred_lang)
| gets oscap_text representing given textlist More...

## Variables
Common language codes
const char *const | OSCAP_LANG_ENGLISH
| English.
const char *const | OSCAP_LANG_ENGLISH_US
| American English.
const char *const | OSCAP_LANG_DEFAULT
| Default language (i.e. American English)

## Detailed Description

Multilingual text processing interface.

Author
  Lukas Kuklinek lkukl.nosp@m.inek.nosp@m.@redh.nosp@m.at.c.nosp@m.om
  David Niemoller David.nosp@m..Nie.nosp@m.molle.nosp@m.r@g2.nosp@m.-inc..nosp@m.com